<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: sdio_dev struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>sdio_dev Struct Reference<br>
<small>
[<a class="el" href="group__fdriver.html">SDIO function driver API</a>]</small>
</h1><code>#include &lt;<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a>&gt;</code>
<p>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structsdio__func__driver.html">sdio_func_driver</a> *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o0">driver</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint16_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o1">vendor_id</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint16_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o2">device_id</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o3">function</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint8_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o4">interface</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o5">max_blocksize</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o6">blocksize</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structsdio__card__io__ops.html">sdio_card_io_ops</a> *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o7">io</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o8">slot_id</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o9">os_device</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>sdio_dev_priv *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o10">priv</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__dev.html#o11">drv_data</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
An SDIO device.<p>
Each SDIO card will have an sdio_dev for each function.<p>
None of the fields (except for drv_data) should be written. 
<p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="o6" doxytag="sdio_dev::blocksize" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structsdio__dev.html#o6">sdio_dev::blocksize</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Blocksize in use.     </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="sdio_dev::device_id" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint16_t <a class="el" href="structsdio__dev.html#o2">sdio_dev::device_id</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Device ID of the card.     </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="sdio_dev::driver" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structsdio__func__driver.html">sdio_func_driver</a>* <a class="el" href="structsdio__dev.html#o0">sdio_dev::driver</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Function driver for this device.     </td>
  </tr>
</table>
<a class="anchor" name="o11" doxytag="sdio_dev::drv_data" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void* <a class="el" href="structsdio__dev.html#o11">sdio_dev::drv_data</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Data private to the function driver.     </td>
  </tr>
</table>
<a class="anchor" name="o3" doxytag="sdio_dev::function" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structsdio__dev.html#o3">sdio_dev::function</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Function number of this device.     </td>
  </tr>
</table>
<a class="anchor" name="o4" doxytag="sdio_dev::interface" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint8_t <a class="el" href="structsdio__dev.html#o4">sdio_dev::interface</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
SDIO standard interface number.     </td>
  </tr>
</table>
<a class="anchor" name="o7" doxytag="sdio_dev::io" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structsdio__card__io__ops.html">sdio_card_io_ops</a>* <a class="el" href="structsdio__dev.html#o7">sdio_dev::io</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Card I/O operations.<p>
<dl compact><dt><b><a class="el" href="deprecated.html#_deprecated000001">Deprecated:</a></b></dt><dd>See <a class="el" href="group__fdriver.html#card_io_ops">Card I/O Operations</a>. </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="o5" doxytag="sdio_dev::max_blocksize" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structsdio__dev.html#o5">sdio_dev::max_blocksize</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Maximum block size supported.     </td>
  </tr>
</table>
<a class="anchor" name="o9" doxytag="sdio_dev::os_device" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void* <a class="el" href="structsdio__dev.html#o9">sdio_dev::os_device</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Pointer to an OS-specific device structure.     </td>
  </tr>
</table>
<a class="anchor" name="o10" doxytag="sdio_dev::priv" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct sdio_dev_priv* <a class="el" href="structsdio__dev.html#o10">sdio_dev::priv</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Data private to the SDIO core.     </td>
  </tr>
</table>
<a class="anchor" name="o8" doxytag="sdio_dev::slot_id" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structsdio__dev.html#o8">sdio_dev::slot_id</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
ID of the slot this card is inserted into.     </td>
  </tr>
</table>
<a class="anchor" name="o1" doxytag="sdio_dev::vendor_id" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint16_t <a class="el" href="structsdio__dev.html#o1">sdio_dev::vendor_id</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Vendor ID of the card.     </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
